brlapi_param_properties_t(3)

NAME
brlapi_param_properties_t

SYNOPSIS

#include <brlapi_param.h>

  Data Fields

brlapi_param_type_t type
uint16_t arraySize
uint16_t isArray:1
uint16_t canRead:1
uint16_t canWrite:1
uint16_t canWatch:1
uint16_t abiPadding1:4
uint16_t hasSubparam:1

Detailed Description

Structure that describes the properties of a parameter

Field Documentation

  uint16_t brlapi_param_properties_t::abiPadding1

  uint16_t brlapi_param_properties_t::arraySize
If .isArray is true, the number of elements in the parameter's value; if .isArray is false then the number of elements in the parameter's value is always exactly one

  uint16_t brlapi_param_properties_t::canRead
True if the parameter is readable

  uint16_t brlapi_param_properties_t::canWatch
True if the parameter can be watched

  uint16_t brlapi_param_properties_t::canWrite
True if the parameter is writable

  uint16_t brlapi_param_properties_t::hasSubparam
whether the Parameter uses the subparam argument

  uint16_t brlapi_param_properties_t::isArray
True if the parameter's value contains several values; < False means always axactly one

  brlapi_param_type_t brlapi_param_properties_t::type
Type of the parameter's value

Author

Generated automatically by Doxygen for BrlAPI from the source code.